## com.lowagie.text.rtf.document.output
Class RtfEfficientMemoryCache

    java.lang.Object
      com.lowagie.text.rtf.document.output.RtfEfficientMemoryCache

All Implemented Interfaces:
  RtfDataCache

    public class RtfEfficientMemoryCache

extends java.lang.Object
implements RtfDataCache

The RtfEfficientMemoryCache is an RtfDataCache that keeps the whole rtf document data in memory. More efficient than `RtfMemoryCache`.

Version:
  $Id$
Author:
  Thomas Bickel (tmb99@inode.at)

Field Summary
`private RtfByteArrayBuffer` `bab` The buffer for the rtf document data.

Fields inherited from interface com.lowagie.text.rtf.document.output.RtfDataCache
`CACHE_DISK, CACHE_MEMORY, CACHE_MEMORY_EFFICIENT`

Constructor Summary
`RtfEfficientMemoryCache()` Constructs a RtfMemoryCache.

Method Summary
`java.io.OutputStream` `getOutputStream()` Gets the OutputStream.
`void` `writeTo(java.io.OutputStream target)` Writes the content of the buffer into the OutputStream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bab

    private final RtfByteArrayBuffer bab

  The buffer for the rtf document data.

Constructor Detail

### RtfEfficientMemoryCache

    public RtfEfficientMemoryCache()

  Constructs a RtfMemoryCache.

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Gets the OutputStream.

  Specified by:
    `getOutputStream` in interface `RtfDataCache`
  Returns:
    The OutputStream the RtfDocument can use.

### writeTo

    public void writeTo(java.io.OutputStream target)
                 throws java.io.IOException

  Writes the content of the buffer into the OutputStream.

  Specified by:
    `writeTo` in interface `RtfDataCache`
  Parameters:
    `target` - The OutputStream to write the content into.
  Throws:
    `java.io.IOException` - If an error occurs reading/writing.

Hosted by Hostbasket